<?xml version="1.0" encoding="utf-8" ?> 
<taskrunner name="vidar.attach" maxthreads="1">

	<includes>
		<file name="vida.install.settings.xml" />
	</includes> 
	
	<parameters>
		<parameter name="database.name" value="#1"/>
		<parameter name="mdf.fullpath" value="#2"/>
		<parameter name="ldf.fullpath" value="#3"/>
		<parameter name="detachexisting" value="#4"/>
	</parameters>
		
	<tasks>
		<task name="attach.database" typename="@SqlServerManagement.AttachDatabase" run="${run.attach.servicerepository}">
			<description>
				
			</description>
			<dependencies list="install.sqlexpress,unzip.servicerepository"/>
			<parameters>
				<parameter name="server" value="${sqlserver.local.server}"/>
				<parameter name="userid" value="${sqlserver.local.userid}"/>
				<parameter name="password" value="${sqlserver.local.password}"/>
				<parameter name="name" value="${database.name}"/>
				<parameter name="datafile" value="${mdf.fullpath}"/>
				<parameter name="logfile" value="${ldf.fullpath}"/>
				<parameter name="detachexisting" value="${detachexisting}"/>
			</parameters>
		</task>
	</tasks>

</taskrunner>